Chuyển đến nội dung
Diễn đàn CADViet

quickandfine

Thành viên
  • Số lượng nội dung

    99
  • Đã tham gia

  • Lần ghé thăm cuối

Bài đăng được đăng bởi quickandfine


  1. Bản vẽ của mình đây, nhờ các bạn xem hộ nhé

    Mình vẫn in được bình thường bạn ạ. Đây là file mình in ra PDF

    http://www.cadviet.com/upfiles/3/110072_111976_ban_ve_bi_loi_bo_tri_da_giao_1.pdf

    P/S: Khi paste excel vào trong CAD, để in cho rõ hơn thì mình hay chọn OLE quality là Monochorme chứ không chọn High graphics. Và có điều nữa là mình cũng chọn Paste link để nhỡ phải sửa file excle gốc thì excel trong cad tự update theo luôn.

    Đó là một vài ý kiến chủ quan của mình.


  2.  

    Ý em là : command => đánh tên layer => tất cả đối tượng được chọn

     

    Em muốn làm vậy là do : nhiều bản vẽ copy loạn hết cả lên. Sử dụng chức năng purge chỉ xóa được những layer không dùng. Giờ em muốn lọc những object sử dụng layer có tên bất kì => đổi sang layer khác chẳng hạn. Vì rằng có thể đối tượng đang cần tìm ẩn trong rất nhiều thứ, layiso rồi chọn đối tượng chỉ khi ta biết đối tượng đang là gì thôi. Có thể chỉ là 1 dấu chấm vu vơ nhỏ xíu thì thực sự rất khó

    Theo mình bạn có thể dùng lệnh Filter của Cad là được


  3. Đây là 1 link mà bác Tue_NV giới thiệu (tôi chưa dùng nên không biết thế nào), ở bài #19. Có mỗi việc search mà bạn cũng không làm nỗi!!!

    http://www.cadviet.c...showtopic=30603

    Cảm ơn bác Ha, Em có tìm rồi nhưng chưa thấy đoạn lisp giống yêu cầu của chủ topic (em thấy cũng hay) nên mới mạn phép hỏi thêm các bác thôi. Đoạn lisp trong đường link bác đưa chỉ cắt chân dim cho thẳng hàng thôi ạ. còn phần chữ khi miror bị nhảy lung tung thì vẫn không được. Em thấy chủ topic này chủ yếu quan tâm đến đoạn textdim bị nhảy sau khi mirror đường dim đấy ạ


  4. Tôi dùng cad2007, vừa mới cài thêm cad2013. Thấy cách load lisp tự động y chang nhau. Đã test vẫn OK.

    Không hiểu sao mọi người cứ nói cad2013 không tự động load lisp nhỉ? Chắc có vấn đề gì chăng?

    Cảm ơn bác Ha và anh Ketxu nhiều ạ.

    Thú thật là em thì vẫn đang dùng Cad 2008. Nghe nói là mấy Cad đời sau mở các bản vẽ nặng không bị treo (có lần em phải mở 01 bản vẽ có 60 khung xref trong một layout và có rất nhiều Mview - không phải em vẽ) nên muốn thử xem thì xảy ra hiện tượng không load được lisp. Hiện em đã gỡ Cad 2013 rồi các bác ạ.

    Nhưng có điều em muốn hỏi thêm là, nếu không phải CAD 2013 mà là các đời trước, em muốn load các lisp đặt cố định trong một thư mục thì làm thế nào ạ? Em tạo file Acaddoc.lsp như vậy và paste vào đường dẫn đó mà cũng không được nốt ạ.Hoặc có một cách nào đó mà viết một đoạn lisp để load tất cả các lisp khác được không ạ. Như thế mình chỉ cẩn load một lisp duy nhất. Các bác đừng chê em lười quá nhé. Chỉ là tiện thì em hỏi vậy thôi ạ

    Em xin cảm ơn ạ


  5. Chào anh Duy và các anh em trên diễn đàn.

    Em mới tải và dùng thử CAD 2013 và cũng gặp hiện tượng Lisp không tự động load khi mở File, Em tìm hiểu trên diễn đàn thì thấy Topic này và hướng dẫn của anh. Theo đó, em tạo một file ACADDOC.LSP có nội dung như file em đính kèm sau và em paste file đó vào mục C:\Program Files\Autodesk\AutoCAD 2013\Support\*.* của Cad nhưng khi mở file các lisp vẫn không tự động load được. Anh và các anh em khác xem giúp em là file của em có lỗi gì hoặc em thao tác lỗi gì với ạ.

    Em xin chân thành cảm ơn ạ.

    http://www.cadviet.com/upfiles/3/110072_acaddoc.lsp


  6. Mình đang dùng cad 2008 và có dùng lisp đánh số thứ tự tăng dần od_oc_oca.lsp của bác SSG nhưng không hiểu sao khi dùng với font txt ( cơ bản của cad ) thì ổn, còn khi mình chỉnh sang time new roman hay arial..... thì đều bị lỗi.

    Mình đang rất cần , mong các bạn giúp đỡ

    Mình dùng với Font Times new Roman và Arial không thấy lỗi gì. Chắc File của bạn bị làm sao đó chăng. Đúng như Bác Doan Van Ha nói, bạn thử gửi file lisp và file CAD lên xem?


  7. Theo mình thì làm như thế này:

    - bạn chọn Plot style in, có thể là Monochrome, hoặc bạn tự tạo một Plotstyle mới cho mình (dạng *.ctb)

    - Vào mục Edit style table, tab Forn View, mục "Plot styles", bạn giữ Shift và chọn tất cả các màu từ 1-255. Bên mục Properties, có các tùy chọn khác nhau, trước hết bạn chọn Color của tất cả chúng về Black. rồi chọn tiếp các tùy chọn khác như Line weight...

    bạn có thể xem hình vẽ sau, các bước từ 1-3 xem sao nhé.

    Mình gửi kèm cả một Plot style đã chuyển tất cả màu về Black, còn độ đậm nhạt của nét thì bạn tùy chỉnh theo màu và theo ý bạn nhé!

    110072_123.jpg

    http://www.cadviet.com/upfiles/3/110072_print.rar


  8. Anh em cho mình hỏi :111527_untitled_1.png

    Máy của mấy anh công ty mình xài thấy co chữ bình thường, còn máy mình co chữ (khoảng cách giữa các chữ) hơi xa, mình phải sửa như thế nào đây, mọi người góp ý nhiệt tình nhé ^^

    Co chữ hơi xa là sao bạn nhỉ? Tức là ý bạn bây giờ muốn co nhỏ lại hay cho giãn ra nhỉ? Mình xem trong File bạn gửi thì thấy là Width factor của kiểu chữ "DIMTEXT" của bạn đang để là 0.7. Bạn thử cho nó về 1 xem sao?


  9. Mình cũng có thấy vỡ gì đâu nhỉ. Có điều mở bản vẽ của bạn lên thấy Text của bạn toàn là Mtext thì phải. Theo mình thì nên là Dtext cho nó nhẹ hơn.

    PS: bạn thử đổi Font thành VnArial xem có đỡ hơn không? Mình thì thấy Font VnArial và VnArialH trông đẹp hơn VnTime. Đấy là mình thôi nhé. :D

    Chúc bạn vui!

    • Vote tăng 1

  10. Cad2007 thì đổi như thế này (không biết cad2013 có khác hay không):

    Tools->Options->Display->Colors->Trong Context chọn Sheet/Layout->Trong Color chọn màu bạn mê.

    Bổ sung ý kiến của bác Ha (chắc bạn chủ topic không biết chọn mục nào): Trong Sheet/Layout -> Uniform background-> Chọn màu Black.

    Nếu bạn muốn chuyển màu của Crosshair hoặc các thứ khác nữa thì làm tương tự.

    • Vote tăng 1

  11. Chào các anh ạ.

    Em mới nghĩ ra là yêu cầu trước của em có chỗ không được ổn cho lắm. Theo em thì chắc là tuần tự phải thế này ạ:

    1- Tạo các View in để được các BV1-BVi ( cái này lisp của em sưu tầm đã làm được)

    Các bước tiếp theo (Em nhờ các anh viết lisp giúp) là:

    2- Thiết lập các thông số in ấn:

    a/- Máy in: Sẽ hỏi và chọn một trong số các máy in đang được cài đặt trong máy tính

    b/- Nét in: Sẽ hỏi và chọn một trong số các Plot style có trong Plot stype manager.

    c/- Plot are: là các BV em đã tạo trước đó (BV1-BVi)

    d/- Plot offset: Center Plot

    e/-Plot Scale: Sẽ hỏi 2 dạng là (1) 1mm=1unit (ưu tiên cái này trước) và (2) Fit to paper.

    f/ Khổ giấy là A3, Landscape

    3- In ấn: Sẽ in theo thứ tự từ BV1 đến BVi

    Em xin cảm ơn ạ!


  12. Chào anh Bình và toàn thể các anh em trên diễn đàn.

    Anh Bình và các anh cho em hỏi thêm một chút về vấn đề này ạ.

    Khi em dùng đoạn lisp tạo View in mà em nói ở trên ấy, sau khi tạo được hết các View in từ BV1 - BVi (i là số bản vẽ), em đã thiết lập hết các thông số như máy in, nét in, kiểu in (Center plot, Scale thường là 1:1 (1mm=1unit), rất ít khi em in theo kiểu Fit trừ trường hợp khung tên của dự án không chuẩn thì bắt buộc phải it Fit)...Thì có thể viết thêm một đoạn lisp nữa để in một lần toàn bộ các BV đó không ạ? Em xin cảm ơn ạ!


  13. Em chào các anh. Em có xin được một đoạn lisp từ một người bạn có chức năng xác định các “Print area”. Cụ thể như sau ạ:

    - Gõ lệnh IN, sau đó click chuột vào góc thứ nhất của khung tên, rồi chọn tiếp góc thứ 2 của khung tên, như vậy lisp sẽ xác định một “Print area” tương ứng. Sau đó lisp sẽ tạo thêm một dòng “VIEW” vào mục Plot area (Mặc định bao gồm Display, Extents, Layout, Window –trong Menu Ctlt+P của CAD). Trong mục “VIEW” này sẽ có các Print area tương ứng mà ta đã click chuột chọn lúc trước, được đặt tên là BV1, BV2…

    - Khi em muốn in các bản vẽ này, Em Ctlt+P bình thường, rồi chọn mục “VIEW”, chọn tương ứng bản vẽ cần ìn, thiết lập giấy in, nét in… và in bình thường. Nhưng bây giờ có một vấn đề như sau:

    - Đoạn lisp trên sẽ Lưu các Print area đó cho các lần in sau. Nhưng giả sử sau đó em lại move hoặc xóa đi phần Print area đó đi mất rồi thì Lisp vẫn ghi nhớ nó, và khi in thì nó ra một vùng trắng xóa chẳng có gì cả.

    - Em muốn nhờ các anh viết thêm cho một đoạn lisp xóa các “VIEW” đó đi ạ, để lỡ đâu mình move hoặc xóa Print area đi rồi thì mình có thể làm lại, chứ nếu không , giả sử lúc đầu có 2 view là BV1 và BV2 thôi, nhưng em xóa đi một Print area đi rồi, ấn IN tiếp thì nó lại bắt đầu từ BV3,BV4…Như thế em không kiểm soát được đâu là bản vẽ nào khi VIEW cả.

    - Em gửi kèm một bản vẽ lên, trong đó lần trước em có VIEW được 10 bản vẽ rồi, nhưng giờ thì chỉ còn ít hơn, Giờ ý em là muốn xóa mục VIEW đi để lúc nào cần thì mình có thể tạo lại ạ

     

    File lisp:

    http://www.cadviet.com/upfiles/3/110072_in_nhieu_ban_vein_3.lsp

    File Cad em không up được lên đây, em upload qua mediafire:

    http://www.mediafire.com/?6j19d342cplboub

    Em xin cảm ơn ạ!


  14. Chào anh Bình nhé.

    Em thử lại đoạn lisp của anh thì thấy thế này ạ:

    1- Đã chuyển layer của A , B và C về layer Block. ==>Ok.

    2- Về vấn đề màu sắc: Nếu màu của B và C được chọn là Bylayer thì khi chuyển về layer Block nó cũng vẫn là Bylayer (bylayer của layer Block). Mong muốn của em là chuyển layer, còn màu thì vẫn giữ nguyên (Anh xem lại yêu cầu ở bài viết số #24 của em nhé)

    Đó là ý kiến sau khi em dùng đoạn lisp trên ạ.

    PS: Em còn chưa biết block thuộc tính là gì, nhưng yêu cầu của em ở bài viết số 24 đã được anh Ketxu giải quyết. Nếu anh rảnh và muốn hoàn thiện đoạn lisp (theo yêu cầu của em, để nhỡ đâu có lúc nào đó anh lại cần dùng đến, và cả em nữa khi em tìm hiểu thêm về block thuộc tính - hehe) thì anh xem lại nhé. Nếu không thì thôi ạ. Em cảm ơn anh nhiều và chúc anh "mót" thêm được ngày càng nhiều điều hay!


  15. - Có thật k ?? Bản vẽ của bạn đã có layer Block chưa ? bạn thao tác ntn ?

    À, Sorry anh nhé, Lần trước em dùng lisp kia thì nó tự tạo layer BLock cho em nên em không nghĩ tới chuyện đó, EM tạo mới layer block thì được rồi anh ạ. Nhưng đoạn lisp này lại thiếu mất phần "Select all" đúng không anh?

    Cảm ơn anh nhiều ạ!


  16. Quên béng mất lời hẹn ^^

     

    
    (defun c:test ( / lst ss blkName change)
    (defun change ( block layer )
     (vl-load-com)
     (if
       (not
         (vl-catch-all-error-p
           (setq def
             (vl-catch-all-apply 'vla-item
               (list
                 (vla-get-blocks
                   (vla-get-ActiveDocument
                     (vlax-get-acad-object)
                   )
                 )
                 block
               )
             )
           )
         )
       )
       (vlax-for obj def
    (vl-catch-all-apply 'vla-put-color (list obj
    (if  (= (setq col (vla-get-color obj)) 256)
    (cdr (assoc 62 (tblsearch "LAYER" (vla-get-layer obj))))
    col
    )
    ))
    (vl-catch-all-apply 'vla-put-layer (list obj layer))
       )
     )
    )
     (cond ((setq ss (ssget (list (cons 0 "INSERT"))))
    (foreach blk (acet-ss-to-list ss)
    (vl-catch-all-apply 'vla-put-layer (list (vlax-ename->vla-object blk) "Block"))
    (if (not (vl-position (setq blkName (cdr (assoc 2 (entget blk)))) lst))    
    (progn
    (change blkName "Block")
    (setq lst (cons blkName lst))
    )
    )
    )
    )
     )
     (command "_.regenall")
     (princ)
    )
    

    Anh Ket ơi em chạy thử đoạn lisp của anh nhưng vẫn chưa được anh ạ. Cad không báo lỗi gì nhưng vẫn chưa chuyển được layer của Block cũng như các đối tượng trong block, Anh xem lại giúp em với nhé!


  17. Hề hề hề,

    Âm chi nữa hè???

    Bạn đã test cái lisp của mình chưa mà nói là nó không chuyển lớp của thằng B và C???

    Vụ Không đổi màu thì tuy không khó nhưng chả biết bạn có dùng không nên mình cũng chưa muốn bổ sung vào cái lisp của mình.

    Cảm ơn anh trước cái nhé! hehe

    Phải nói thật là em đã test đi test lại đoạn lisp của anh rồi, mà nó vẫn chỉ đổi layer của thằng A thôi chứ thằng B và thằng C thì nó vẫn cứng đầu lắm. Không hiểu tại sao, em vừa down lại về test nhưng kết quả vẫn thế. Em đã thử remove hết các lisp em đang dùng do sợ xung đột chẳng hạn nhưng vẫn không được bác ạ. Huuu. Sau khi em chọn block và Enter thì nó vẫn báo lỗi. để chắc ăn em chỉ chọn một block thôi nhé, nó vẫn báo là:

     

    Command: clb

    Select objects: 1 found

    Select objects: ; error: bad argument type: lentityp nil

    Nó thông báo như vậy nhưng vẫn chuyển được layer của thằng A sang layer block bác ạ.

    Hay thao tác của em lỗi gì chăng???

    Cái vụ chuyển màu thì em cũng cần lắm lắm, anh giúp em luôn nhé!

    PS: Có Mode nào ghé qua topic này thì xem giúp em xem có lần nào em post bài bị chèn lên nhau không. Nếu có thì nhờ Mod xóa bài thừa và view lại giúp em với nhé. Em đã bị một lần như thế nên khi bac phamthanhbinh post bài mà em chẳng nhìn thấy đâu cả nên anh em cứ hiểu nhầm nhau. Xin các mod thông cảm, tại mạng chỗ em có lúc chập chờn quá, máy em lại hay treo mà em thì cứ sốt ruột quá....

×